<div (mouseenter)='toggleEditButton(true)' (mouseleave)="toggleEditButton(false)">
  <!-- COMMENT -->
  <form [formGroup]="commentFormGroup.formGroup"
        [class]="!editionEnabled ? 'readonly edit-pool-comment-container' : 'edit-pool-comment-container'">
    <mat-form-field>
      <input matInput
             matTooltip="{{ commentElement.comment }}"
             type="text"
             formControlName="comment"
             (change)="onChanged()"
             [readonly]="!editionEnabled">
    </mat-form-field>
  </form>

  <!-- EDIT COMMENT button -->
    <button mat-icon-button
            color="primary"
            (click)="toggleEdition()"
            aria-label="Edit comment"
            [style]="'opacity: ' + (editOpacity || editionEnabled ? 100 : 0)"
            [matTooltip]="editionEnabled ? 'Save edited comment' : 'Edit comment'">
      <mat-icon>{{editionEnabled ? 'check' : 'edit'}}</mat-icon>
    </button>
</div>
